Get
curl --request GET \
--url https://api.nebius.cloud/billing/v1alpha1/one-time-exports/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nebius.cloud/billing/v1alpha1/one-time-exports/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebius.cloud/billing/v1alpha1/one-time-exports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"parentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"labels": {},
"name": "<string>",
"resourceVersion": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"endPeriod": "<string>",
"format": "EXPORT_FORMAT_UNSPECIFIED",
"startPeriod": "<string>"
},
"status": {
"downloadUrl": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"state": "ONE_TIME_EXPORT_STATE_UNSPECIFIED",
"stateDetails": {
"error": {
"badRequest": {
"violations": [
{
"field": "<string>",
"message": "<string>"
}
]
},
"badResourceState": {
"message": "<string>",
"resourceId": "<string>"
},
"code": "<string>",
"internalError": {
"requestId": "<string>",
"traceId": "<string>"
},
"notEnoughResources": {
"violations": [
{
"message": "<string>",
"requested": "<string>",
"resourceType": "<string>"
}
]
},
"operationAborted": {
"abortedByOperationId": "<string>",
"operationId": "<string>",
"resourceId": "<string>"
},
"operationConflict": {
"conflictingOperationId": "<string>",
"resourceId": "<string>"
},
"outOfRange": {
"limit": "<string>",
"requested": "<string>"
},
"permissionDenied": {
"resourceId": "<string>"
},
"quotaFailure": {
"violations": [
{
"limit": "<string>",
"message": "<string>",
"quota": "<string>",
"requested": "<string>"
}
]
},
"resourceAlreadyExists": {
"resourceId": "<string>"
},
"resourceConflict": {
"message": "<string>",
"resourceId": "<string>"
},
"resourceNotFound": {
"resourceId": "<string>"
},
"retryType": "UNSPECIFIED",
"service": "<string>",
"tooManyRequests": {
"violation": "<string>"
}
}
}
}
}one-time-exports
Get
Retrieves details of a specific one-time export. When the export is complete, the response includes a fresh presigned download URL.
GET
/
billing
/
v1alpha1
/
one-time-exports
/
{id}
Get
Authorizations
The Authorization header expects a Bearer token.
Path Parameters
Unique identifier of the one-time export.
Response
200 - application/json
A successful response.
One-time export of billing reports as a downloadable archive. Creates a .tar.gz archive of FOCUS billing data for the requested period and provides a presigned download URL.
Was this page helpful?
⌘I